Core - Task # 58693

Story # 58777 (Accepted): Fixes/Tasks for impexp / distributions

Status: Under Review Priority: Should have

Author: Marc Bastian Heinrichs Category: Import/Export (T3D)
Created: 2014-05-10 Assigned To: Marc Bastian Heinrichs
Updated: 2015-06-26 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Ignore sys_file_reference records pointing to missing files on import

Description

It could happen, that an export contains sys_file_reference records with relations to sys_files records,
that was missing on the exporting system. This causes exceptions on importing the sys_file_reference records, because on saving of
the sys_file_reference record the related sys_file record is checked.

Related issues:
related to Core - Bug # 60535: Export referenced files into T3D file when exp... Needs Feedba2014-07-24

History

#1 - 2014-05-10 12:36 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/29994

#2 - 2014-05-13 16:31 - Marc Bastian Heinrichs
- Parent task set to #58777

#3 - 2014-05-14 15:37 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/29994

#4 - 2014-06-21 11:34 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/29994

#5 - 2015-06-26 15:20 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/29994
